com.holonplatform.vaadin.flow.components.builders

## Interface SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C extends SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C>>

- Type Parameters:
    `T` - Value type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,C>, DeferrableLocalizationConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasAutofocusConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasLabelConfigurator<C>, HasPatternConfigurator<C>, HasPlaceholderConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, ItemSetConfigurator<C>, PropertySelectInputConfigurator<T,T,C>, SelectableInputConfigurator<T,T,C>, SelectModeSingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,C>, SingleSelectInputConfigurator<T,com.holonplatform.core.property.PropertyBox,C>
  All Known Subinterfaces:
    SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ValidatableDatastorePropertySelectModeSingleSelectInputBuilder<T>
  Enclosing interface:
    SelectModeSingleSelectInputBuilder<T,ITEM,B extends SelectModeSingleSelectInputBuilder<T,ITEM,B>>

      public static interface SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C extends SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C>>
      extends SelectModeSingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,C>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,C>, PropertySelectInputConfigurator<T,T,C>

  `Property` model based `SingleSelect` input configurator for the select rendering mode with `DatastoreDataProviderConfigurator` support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectModeSingleSelectInputBuilder

      `SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputConfigurator<T,ITEM,C extends SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputConfigurator<T,ITEM,C>>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C extends SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C>>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputConfigurator<T,ITEM,D,C>>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputConfigurator<T,D,C>>, SelectModeSingleSelectInputBuilder.ValidatableDatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatableDatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ValidatableItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatablePropertySelectModeSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default C` | `filterByContains(com.holonplatform.core.property.Property<String> property)` Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value contains the user filter text, ignoring case.
    `default C` | `filterByContains(com.holonplatform.core.property.Property<String> property, boolean ignoreCase)` Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value contains the user filter text.
    `default C` | `filterByStarts(com.holonplatform.core.property.Property<String> property)` Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value starts with the user filter text, ignoring case.
    `default C` | `filterByStarts(com.holonplatform.core.property.Property<String> property, boolean ignoreCase)` Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value starts with the user filter text.
    `C` | `filterConverter(Function<String,com.holonplatform.core.query.QueryFilter> filterConverter)` Set the function to use to convert the `String` type user filter into a `QueryFilter` type, to be used with a Datastore query.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectModeSingleSelectInputBuilder

      `create, create, create, create, dataSource, itemCaption, itemCaption, itemCaption, itemCaptionGenerator, pageSize, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

- - ### Method Detail

    - #### filterConverter

          C filterConverter(Function<String,com.holonplatform.core.query.QueryFilter> filterConverter)

      Set the function to use to convert the `String` type user filter into a `QueryFilter` type, to be used with a Datastore query. The `String` type user filter represents the user text input which can be used to filter the select suggestions within the available item set.
      Parameters:
        `filterConverter` - The `String` type user filter to `QueryFilter` converter (not null)
      Returns:
        this

    - #### filterByContains

          default C filterByContains(com.holonplatform.core.property.Property<String> property)

      Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value contains the user filter text, ignoring case.
      Parameters:
        `property` - The property to use for the query filter (not null)
      Returns:
        this
      See Also:
        `filterConverter(Function)`

    - #### filterByContains

          default C filterByContains(com.holonplatform.core.property.Property<String> property,
                                     boolean ignoreCase)

      Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value contains the user filter text.
      Parameters:
        `property` - The property to use for the query filter (not null)
        `ignoreCase` - Whether to ignore case
      Returns:
        this
      See Also:
        `filterConverter(Function)`

    - #### filterByStarts

          default C filterByStarts(com.holonplatform.core.property.Property<String> property)

      Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value starts with the user filter text, ignoring case.
      Parameters:
        `property` - The property to use for the query filter (not null)
      Returns:
        this
      See Also:
        `filterConverter(Function)`

    - #### filterByStarts

          default C filterByStarts(com.holonplatform.core.property.Property<String> property,
                                   boolean ignoreCase)

      Set to use given property to convert the `String` type user filter into a `QueryFilter`, providing a filter to check if the property value starts with the user filter text.
      Parameters:
        `property` - The property to use for the query filter (not null)
        `ignoreCase` - Whether to ignore case
      Returns:
        this
      See Also:
        `filterConverter(Function)`

Copyright © 2019 The Holon Platform. All rights reserved.